{% load i18n static %}
<!DOCTYPE html>
{% get_current_language as LANGUAGE_CODE %}{% get_current_language_bidi as LANGUAGE_BIDI %}
<html lang="{{ LANGUAGE_CODE|default:"en-us" }}" {% if LANGUAGE_BIDI %}dir="rtl"{% endif %}>
<head>
  <title>Inicia sesión en PGP</title>
  <link rel="stylesheet" type="text/css" href="{% static 'admin/css/base.css' %}" />
  <link rel="stylesheet" type="text/css" href="{% static 'css/login.css' %}" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta content="width=device-width, initial-scale=1" name="viewport" />  
  <meta name="robots" content="NONE,NOARCHIVE" />
  {% include 'favicon.html' %}
</head>

<body class="login" data-admin-utc-offset="{% now "Z" %}">

<!-- Container -->
<div id="container">

  {% if form.errors and not form.non_field_errors %}
    <p class="errornote">
        {% if form.errors.items|length == 1 %}{% trans "Please correct the error below." %}{% else %}{% trans "Please correct the errors below." %}{% endif %}
    </p>
  {% endif %}

  <div id="content-main">

    <form action="/admin/login/" method="post" id="login-form">
        {% csrf_token %}
        <input type="hidden" name="next" value="{{ next }}" />

        <h3 class="form-title text-center">
        PGP
        </h3>
        <h4 class="form-title text-center">Gabinete Verdera</h4>

        <div class="form-row">
        <input
            name="username"
            placeholder="usuario"
            id="username"
            maxlength="254"
            required
            autocomplete="off"
            autofocus="autofocus"
            oninvalid="setCustomValidity('Please enter your username')"
            oninput="setCustomValidity('')"         
            type="text">
        </div>
        <div class="form-row">
        <input
            type="password"
            name="password"
            id="password"
            placeholder="contraseña"
            required
            autocomplete="false"
            oninvalid="setCustomValidity('Please enter your password')"
            oninput="setCustomValidity('')">
        </div>
        <div class="submit-row">
        <input type="submit" value="{% trans 'Log in' %}" />
        </div>

        {% if form.non_field_errors %}
            {% for error in form.non_field_errors %}
                <p class="error">
                    {{ error }}
                </p>
            {% endfor %}
        {% endif %}
      
        {% if user.is_authenticated %}
            <p class="error">
                {% blocktrans trimmed %}
                    You are authenticated as {{ username }}, but are not authorized to
                    access this page. Would you like to login to a different account?
                {% endblocktrans %}
            </p>
        {% endif %}

    </form>


  </div>
  <!-- end content-main -->

</div>

<!-- end Container -->

  <script src="{% static 'cots/metronic/global/plugins/jquery.min.js' %}" type="text/javascript"></script>
  <script src="{% static 'cots/backstretch/jquery.backstretch.min.js' %}" type="text/javascript"></script>
  <script>
      $(document).ready(function(){
        $.backstretch(
            [
                "{% static 'img/desktop.jpg' %}",
            ],
            {
                fade: 2000,
                duration: 5000
            }
        );
      });
  </script>

</body>
</html>